Archinect

Columbia GSAPP (Mark)

  • anchor

    Parametric Realizations - Week 1 - XS - Parametric Vases

    By Mark Bearak
    Oct 23, '08 3:33 PM EST

    Hello Everyone,
    Tonight will be the first night of my class Parametric Realizations that I will be teaching at Columbia. Here is some information on the class.

    Overview
    Parametric modelers are commonly used in the development of digital architectural models, but they are rarely taken to the point of
    becoming physical realities. This course will look at the process of
    generating parametric algorithms then turning those models into
    physical realities. Students will work in groups to design an
    installation that will be the physical realization of their scripted
    protocol.

    Project
    Students will work in groups to design an installation that will be
    the physical realization of their scripted protocol. Groups will
    develop mathematical algorithms using parametric modelers such as Rhino.script, Grasshopper and Generative Components. Concurrently students will be testing modeling techniques in order to create a prototype for their final physical system. Students will then take their digital models, rationalize them, and physically construct the system using a material process from their prototype.

    Final Project
    Students will prepare their installation for a presentation event on December 12th.

    Tonight will be our first exercise in the XS,S,M,L,XL series for Parametric Realizations. Each week we will look at a scripting typology and an associated fabrication typology. This protocol will generate a series vases that can be 3D printed. You can find the complete script as well as the associated tutorials here. If you visit the site you will find a step-by-step tutorial that will help you understand the thought process behind the parametric vases. Here is the final scripted step:

    Option Explicit
    'Script written by mark.bearak
    'Script copyrighted by dtls.Architecture
    'Script version Tuesday, October 21, 2008 1:08:31 PM

    Call Main()
    Sub Main()
    Dim arrPlane, i, j, strCrv(), strInnerCrv(), strSrf1, strSrf2, arrLftSrf1, arrLftSrf2, arrLftSrf3
    For j = 0 To 5
    For i = 0 To 10
    ReDim Preserve strCrv(i)
    ReDim Preserve strInnerCrv(i)
    arrPlane = Rhino.PlaneFromPoints (array(0,j*25,i*(j+1)), array(1,j*25,i*(j+1)), array(0,j*25+1,i*(j+1)))
    If i strCrv(i) = Rhino.AddCircle (arrPlane, 10.0)
    strInnerCrv(i) = Rhino.AddCircle (arrPlane, 9.0)
    If i = 0 Then
    Call rhino.MoveObject (strInnerCrv(i),array(0,0,0),array(0,0,1))
    End If
    Else
    strCrv(i) = Rhino.AddCircle (arrPlane, 5.0)
    strInnerCrv(i) = Rhino.AddCircle (arrPlane, 4.0)
    End If
    If i = 0 Then
    strSrf1 = Rhino.AddPlanarSrf (strCrv)
    strSrf2 = Rhino.AddPlanarSrf (strInnerCrv)
    End If
    If i = 10 Then
    arrLftSrf1 = Rhino.AddLoftSrf (array(strCrv(i),strInnerCrv(i)))
    End If
    Next
    arrLftSrf2 = Rhino.AddLoftSrf (strCrv,,,1)
    arrLftSrf3 = Rhino.AddLoftSrf (strInnerCrv,,,1)
    Call Rhino.JoinSurfaces (array(arrLftSrf1(0),arrLftSrf2(0),arrLftSrf3(0),strsrf1(0),strsrf2(0)),True)
    Call Rhino.deleteobjects (strCrv)
    Call Rhino.DeleteObjects (strInnerCrv)
    Next
    End Sub


     
    • 1 Comment

    • jchang

      cool, thanks alot

      Oct 24, 08 3:29 am  · 
       · 

      Block this user


      Are you sure you want to block this user and hide all related comments throughout the site?

      Archinect


      This is your first comment on Archinect. Your comment will be visible once approved.

    • Back to Entry List...
  • ×Search in:
 

Affiliated with:

Authored by:

  • Mark Bearak

Other blogs affiliated with Columbia University:

Recent Entries